Subject: Re: [Fecframe] [MMUSIC] draft-ietf-mmusic-rfc4756bis (was Re: AD Review:draft-ietf-mmusic-rfc4765bis-05)

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Tue, 2 Feb 2010 08:25:22 -0800

OK, I talked to Robert and I propose to change the draft from obsoleting
4756 to updating it (there is no "deprecated" keyword for the drafts).

There will be a note in section 3.1:

   This document introduces the changes required in the FEC grouping
   semantics and updates [RFC4756].  New implementations SHOULD use the
   new semantics introduced in this document whenever possible, but they
   may need to use [RFC4756] semantics when backward compatibility is
   desired, as described in Section 4.4.

Before we go ahead with the revision, please let me know if you are not
OK with this change. If there are no objections, we will move forward
with this change.

Thanks,
-acbegen

> -----Original Message-----
> From: Kevin P. Fleming [mailto:[email-masked]]
> Sent: Thursday, January 28, 2010 6:29 PM
> To: Ali C. Begen (abegen)
> Cc: Robert Sparks; [email-masked]; [email-masked]
> Subject: Re: [MMUSIC] draft-ietf-mmusic-rfc4756bis (was Re: AD
> Review:draft-ietf-mmusic-rfc4765bis-05)
> 
> Ali C. Begen (abegen) wrote:
> 
> > OK, right. "FEC" semantics are not defined in the new draft. If a
new
> > implementation wants to be able to speak to 4756 endpoints, it will
need
> > 4756. Then I guess you are disagreeing that we are obsoleting 4756.
> >
> > Well, I am not sure what is the right term here. At that time, I was
> > told "obsoleting" was the right choice. To me, RFC 4756 will still
be
> > available for anybody who wants to be backward compatible anyway.
So, I
> > did not think it would be a problem. But, if you say it is a
problem, I
> > can't argue with that.
> 
> The correct word, in English at least, is 'deprecated'. The previous
> version is still valid, but is not recommended for new
implementations.
> 
> --
> Kevin P. Fleming
> Digium, Inc. | Director of Software Technologies
> 445 Jan Davis Drive NW - Huntsville, AL 35806 - USA
> skype: kpfleming | jabber: [email-masked]
> Check us out at www.digium.com & www.asterisk.org

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 11 Feb 2010 14:50:10 -0800

Here is the new version.
http://www.ietf.org/id/draft-ietf-mmusic-rfc4756bis-06.txt 

Cheers, acbegen.

> From: Robert Sparks [mailto:[email-masked]]
> Sent: Thursday, February 11, 2010 3:35 PM
> Cc: Kevin P. Fleming; [email-masked]; [email-masked]
> 
> Hi Ali -
> 
> Please submit the revised document.
> 
> RjS
> 
> On Feb 2, 2010, at 10:25 AM, Ali C. Begen (abegen) wrote:
>